# Google Data APIs Client Library (1.43.0)

## com.google.gdata.util
Class LoggableInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              com.google.gdata.util.LoggableInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class LoggableInputStream

extends java.io.FilterInputStream

Logs content of the data sent to the stream if log level is set to FINEST.

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`LoggableInputStream(java.util.logging.Logger logger, java.io.InputStream stream)`

Method Summary
`void` `close()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`

Methods inherited from class java.io.FilterInputStream
`available, mark, markSupported, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggableInputStream

    public LoggableInputStream(java.util.logging.Logger logger,
                               java.io.InputStream stream)

Method Detail

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`

### read

    public int read()
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`